#include "Program.h"

Program::Program() {
    // Startup
    Serial.begin(MONITOR_SPEED);
    Serial.println("initBoard");
    SPI.begin(RADIO_SCLK_PIN, RADIO_MISO_PIN, RADIO_MOSI_PIN); //for LoRa module
    Wire.begin(I2C_SDA, I2C_SCL);//for oled screen
    // When the power is turned on, a delay is required.
    delay(1500);

    //init LoRa
    LoRa.setPins(RADIO_CS_PIN, RADIO_RST_PIN, RADIO_DIO0_PIN);
    if (!LoRa.begin(LoRa_frequency)) {
        Serial.println("Starting LoRa failed!");
        while (1);
    }
}

void Program::loop() {
    // Loop
}
